Bug 5040 - Scripts in init.d are bash not simple sh
Scripts in init.d are bash not simple sh
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
6.0
All Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-10 04:06 EDT by Andrew Macpherson
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-14 17:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Macpherson 1999-09-10 04:06:12 EDT
As one of those "let's speed things up" exercises I decided
to unbloat a lot of things by replacing the symlink

/bin/sh -> /bin/bash  with /bin/sh -> /bin/ash

With a view also to getting my profile read in my xterms
(SHLVL=3 typically) ... anyway most things run right, but
something in /etc/rc.d/init.d/functions depends on bash
rather than simple sh functionality.

Suggest you make the dependency explicit in case anyone else
gets caught

cd /usr/local/rc.d/init.d
perl -i -p -e 's:^#!\s*/bin/sh\s*$:#!/bin/bash: ;' *
Comment 1 Bill Nottingham 1999-09-10 11:58:59 EDT
Hmm.... we'll look and see what's being bash specific.
Comment 2 Bill Nottingham 1999-09-13 14:33:59 EDT
OK, after looking at this some, we've fixed a couple of things,
but there are at least two bugs in ash (ash-0.2-18 will be
in the next Raw Hide release.)
Comment 3 Bill Nottingham 1999-09-14 17:47:59 EDT
The latest initscripts (4.41-2) should fix all known problems
of this sort.

Note You need to log in before you can comment on or make changes to this bug.